Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Line

[frames | no frames]

## Class Line

           DrawObject --+
                        |
        LineOnlyMixin --+
                        |
    PointsObjectMixin --+
                        |
                       Line

The Line class takes a list of 2-tuples, or a NX2 NumPy Float array of point coordinates.

It will draw a straight line if there are two points, and a polyline if there are more than two.

Method Summary
| `__init__(self, Points, LineColor, LineStyle, LineWidth, InForeground)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:06:55 2007 | http://epydoc.sf.net